summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Bremner <david@tethera.net>2018-01-13 08:46:21 -0400
committerDavid Bremner <david@tethera.net>2018-05-07 08:42:53 -0300
commit60fcec82d2a8041ba3ee9fc6413cd404659e38dc (patch)
treed9bc87353807d5b9e943653455b84560adb2d3f3
parent5ad39ebf75eb85263e4b64f21e07ec02194f9573 (diff)
perf-test: add simple test for thread subqueries
This is not a particularly sensible query, but thread:{date:2010} is a good way to generate fairly large intermediate queries.
-rwxr-xr-xperformance-test/T04-thread-subquery.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/performance-test/T04-thread-subquery.sh b/performance-test/T04-thread-subquery.sh
new file mode 100755
index 00000000..665d5a64
--- /dev/null
+++ b/performance-test/T04-thread-subquery.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+test_description='thread subqueries'
+
+. $(dirname "$0")/perf-test-lib.sh || exit 1
+
+time_start
+
+time_run "search thread:{} ..." "notmuch search thread:{date:2010} and thread:{from:linus}"
+time_run "search thread:{} ..." "notmuch search thread:{date:2010} and thread:{from:linus}"
+time_run "search thread:{} ..." "notmuch search thread:{date:2010} and thread:{from:linus}"
+
+time_done